Name:               python-nose
Version:            1.3.7
Release:            26
Summary:            nicer testing for python
License:            LGPLv2+ and Public Domain
URL:                https://nose.readthedocs.org/en/latest/
Source0:            https://files.pythonhosted.org/packages/58/a5/0dc93c3ec33f4e281849523a5a913fa1eea9a3068acfa754d44d88107a44/nose-1.3.7.tar.gz
Patch0:             python-nose-coverage4.patch
Patch1:             python-nose-py35.patch
Patch2:             python-nose-unicode.patch
Patch3:             python-nose-readunicode.patch
Patch4:             python-nose-py36.patch

BuildArch:          noarch
BuildRequires:      dos2unix python2

%description
Nose extends unittest to make testing easier.

%package_help

%package -n python2-nose
Summary:            nicer testing for python
Requires:           python2-setuptools
%{?python_provide:%python_provide python2-nose}

%description -n python2-nose
Python-nose for Python 2 version.

%package -n python3-nose
Summary:            nicer testing for python
Requires:           python3-setuptools
Obsoletes:          platform-python-nose < %{version}-%{release}
%{?python_provide:%python_provide python3-nose}

%description -n python3-nose
Python-nose for Python 3 version.

%prep
%setup -qc
pushd nose-%{version}
%autopatch -p1
dos2unix examples/attrib_plugin.py
cp -pr lgpl.txt AUTHORS CHANGELOG examples NEWS README.txt ..
popd

mv nose-%{version} python2
cp -rp python2 python3

%build
pushd python2
%py2_build
popd

pushd python3
%py3_build
popd

%install
mkdir -p %{buildroot}%{_mandir}/man1

pushd python2
%py2_install
mv %{buildroot}%{_bindir}/nosetests %{buildroot}%{_bindir}/nosetests-%{python2_version}
ln -sf nosetests-%{python2_version} %{buildroot}%{_bindir}/nosetests-2
mv %{buildroot}%{_prefix}/man/man1/nosetests.1 %{buildroot}%{_mandir}/man1/nosetests-%{python2_version}.1
ln -sf nosetests-%{python2_version}.1 %{buildroot}%{_mandir}/man1/nosetests-2.1
popd

pushd python3
%py3_install
mv %{buildroot}%{_bindir}/nosetests %{buildroot}%{_bindir}/nosetests-%{python3_version}
ln -sf nosetests-%{python3_version} %{buildroot}%{_bindir}/nosetests-3
mv %{buildroot}%{_prefix}/man/man1/nosetests.1 %{buildroot}%{_mandir}/man1/nosetests-%{python3_version}.1
ln -sf nosetests-%{python3_version}.1 %{buildroot}%{_mandir}/man1/nosetests-3.1
popd

ln -sf nosetests-2 %{buildroot}%{_bindir}/nosetests
ln -sf nosetests-2.1 %{buildroot}%{_mandir}/man1/nosetests.1

%check
pushd python2
%{__python2} selftest.py
popd

pushd python3
%{__python3} setup.py build_tests
%{__python3} selftest.py
popd

%files -n python2-nose
%defattr(-,root,root)
%license lgpl.txt
%{_bindir}/nosetests
%{_bindir}/nosetests-2
%{_bindir}/nosetests-%{python2_version}
%{python2_sitelib}/*

%files -n python3-nose
%defattr(-,root,root)
%license lgpl.txt
%{_bindir}/nosetests-3
%{_bindir}/nosetests-%{python3_version}
%{python3_sitelib}/*

%files help
%defattr(-,root,root)
%license lgpl.txt
%doc AUTHORS CHANGELOG examples NEWS README.txt
%{_mandir}/man1/*1*

%changelog
* Sat Feb 22 2020 yanzhihua <yanzhihua4@huawei.com> - 1.3.7-26
- add python2 buildrequire

* Thu Jan 16 2020 lingsheng <lingsheng@huawei.com> - 1.3.7-25
- Change source0 url to an available one

* Wed Dec 11 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.7-24
- Fix nosetests name of python3

* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.7-23
- Fix provides of python3

* Tue Dec 10 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.3.7-22
- Package init
